<?php

namespace App\Imports;

use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class ProductsSheetImport implements WithMultipleSheets
{
    protected $productImport;

    public function __construct($versi = null)
    {
        $this->productImport = new ProductsImport($versi);
    }

    public function sheets(): array
    {
        return [
            'import_produk' => $this->productImport,
        ];
    }

    public function getResults()
    {
        return $this->productImport->getResults();
    }
}
